"Usuwanie wszystkich przypisań obiektu GPO do kontenera AD"

# Parametry
$Domena = "dtest.windowsservernet.com"
$Kontener = "ou=Kierownictwo, dc=dtest, dc=windowsservernet, dc=com"

# Tworzenie obiektu
$gpm = New-Object -ComObject "GPMGMT.GPM"

# Dane domeny
$Domena = $GPM.GetDomain($Domena, "", $GPM.GetConstants().UseAnyDC)

# Dane kontenera
$Kontener = $Domena.GetSOM($Kontener)

# Pobieranie GPO
$Łącza = $Kontener.GetGPOLinks()

# Iterowanie GPO
foreach ($łącze in $Łącza)
{
$GPO = $Domena.GetGPO($łącze.GPOID)
"Usuwanie łącza..."  + $GPO.Displayname
$łącze.Delete()
}
